Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class StatsEntityModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseEntityModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.StatsEntityModel

-     public class StatsEntityModel
      extends BaseEntityModel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatsEntityModel()` |
    `StatsEntityModel​(Long workerId, double cpuUsage, double memoryUsage, Map<String,​org.apache.commons.lang3.tuple.Pair<Long,​Double>> heavyHitterInstructionsObj, List<org.apache.commons.lang3.tuple.Triple<LocalDateTime,​String,​Long>> transferredBytesObj)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getCPUUsage()` |
    `String` | `getHeavyHitterInstructions()` |
    `double` | `getMemoryUsage()` |
    `String` | `getTransferredBytes()` |
    `Long` | `getWorkerId()` |
    `void` | `setCPUUsage​(double cpuUsage)` |
    `void` | `setHeavyHitterInstructions​(String heavyHitterInstructionsJsonString)` |
    `void` | `setMemoryUsage​(double memoryUsage)` |
    `void` | `setTransferredBytes​(String transferredBytesJsonString)` |
    `void` | `setWorkerId​(Long workerId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsEntityModel

          public StatsEntityModel()

    - #### StatsEntityModel

          public StatsEntityModel​(Long workerId,
                                  double cpuUsage,
                                  double memoryUsage,
                                  Map<String,​org.apache.commons.lang3.tuple.Pair<Long,​Double>> heavyHitterInstructionsObj,
                                  List<org.apache.commons.lang3.tuple.Triple<LocalDateTime,​String,​Long>> transferredBytesObj)

  - ### Method Detail

    - #### getWorkerId

          public Long getWorkerId()

    - #### setWorkerId

          public void setWorkerId​(Long workerId)

    - #### getCPUUsage

          public double getCPUUsage()

    - #### setCPUUsage

          public void setCPUUsage​(double cpuUsage)

    - #### getMemoryUsage

          public double getMemoryUsage()

    - #### setMemoryUsage

          public void setMemoryUsage​(double memoryUsage)

    - #### getHeavyHitterInstructions

          public String getHeavyHitterInstructions()

    - #### setHeavyHitterInstructions

          public void setHeavyHitterInstructions​(String heavyHitterInstructionsJsonString)

    - #### getTransferredBytes

          public String getTransferredBytes()

    - #### setTransferredBytes

          public void setTransferredBytes​(String transferredBytesJsonString)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`